org.eclipse.net4j.util.om.monitor

## Class NestedMonitor

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.AbstractMonitor
  - - org.eclipse.net4j.util.om.monitor.NestedMonitor

- All Implemented Interfaces:
    OMMonitor, OMMonitorProgress

      public class NestedMonitor
      extends AbstractMonitor

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

      `AbstractMonitor.AsyncTimerTask`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

      `OMMonitor.Async`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

      `DEFAULT_TIME_FACTOR, THOUSAND`

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

      `HUNDRED, ONE, TEN, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NestedMonitor(AbstractMonitor parent, double parentWork)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMMonitor` | `begin(double totalWork)`
    `void` | `checkCanceled()`
    `void` | `done()`
    `protected long` | `getAsyncSchedulePeriod()`
    `AbstractMonitor` | `getParent()`
    `double` | `getParentWork()`
    `protected java.util.Timer` | `getTimer()`
    `boolean` | `isCanceled()`
    `protected void` | `scheduleAtFixedRate(java.util.TimerTask task, long delay, long period)`
    `void` | `worked(double work)`

    - ### Methods inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

      `begin, createAsyncTimerTask, createNestedMonitor, fork, fork, forkAsync, forkAsync, getTotalWork, getWork, getWorkPercent, hasBegun, percent, worked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NestedMonitor

          public NestedMonitor(AbstractMonitor parent,
                               double parentWork)

  - ### Method Detail

    - #### getParent

          public AbstractMonitor getParent()

    - #### getParentWork

          public double getParentWork()

    - #### isCanceled

          public boolean isCanceled()

    - #### checkCanceled

          public void checkCanceled()
                             throws MonitorCanceledException

      Throws:
        `MonitorCanceledException`

    - #### begin

          public OMMonitor begin(double totalWork)
                          throws MonitorCanceledException

      Specified by:
        `begin` in interface `OMMonitor`
      Overrides:
        `begin` in class `AbstractMonitor`
      Throws:
        `MonitorCanceledException`

    - #### worked

          public void worked(double work)
                      throws MonitorCanceledException

      Specified by:
        `worked` in interface `OMMonitor`
      Overrides:
        `worked` in class `AbstractMonitor`
      Throws:
        `MonitorCanceledException`

    - #### done

          public void done()

      Specified by:
        `done` in interface `OMMonitor`
      Overrides:
        `done` in class `AbstractMonitor`

    - #### getAsyncSchedulePeriod

          protected long getAsyncSchedulePeriod()

      Specified by:
        `getAsyncSchedulePeriod` in class `AbstractMonitor`

    - #### scheduleAtFixedRate

          protected void scheduleAtFixedRate(java.util.TimerTask task,
                                             long delay,
                                             long period)

      Specified by:
        `scheduleAtFixedRate` in class `AbstractMonitor`

    - #### getTimer

          protected java.util.Timer getTimer()

      Specified by:
        `getTimer` in class `AbstractMonitor`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html